--- title: "getCloudPostgresqlTargetSubnetList" slug: "database-vpostgresql-getcloudpostgresqltargetsubnetlist" tags: ["Cloud DB for PostgreSQL"] updated: 2026-09-17T10:05:48Z published: 2026-09-17T10:05:48Z canonical: "api.ncloud-docs.com/database-vpostgresql-getcloudpostgresqltargetsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudPostgresqlTargetSubnetList Available in VPC Get the list of subnets available to use in Cloud DB for PostgreSQL. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/getCloudPostgresqlTargetSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the subnet to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default) | | `vpcNo` | String | Required | Filter by VPC number. - Check through [getCloudPostgresqlTargetVpcList](/docs/en/database-vpostgresql-getcloudpostgresqltargetvpclist). | | `cloudPostgresqlImageProductCode` | String | Required | Filter by Cloud DB for PostgreSQL image product code. - Check through [getCloudPostgresqlImageProductList](/docs/en/database-vpostgresql-getcloudpostgresqlimageproductlist). | | `isPublic` | Boolean | Optional | Filter by public subnet status. - `true` \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlTargetSubnetList ?regionCode=KR &vpcNo=****87 &cloudPostgresqlImageProductCode=SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudPostgresqlTargetSubnetListResponse": { "totalRows": 2, "targetSubnetList": [ { "subnetNo": "****49", "subnetName": "test-****-public-kr1", "vpcNo": "****87", "vpcName": "test-****", "zoneCode": "KR-1", "subnet": "192.168.*.0/24", "isPublic": true, "createdDate": "2024-06-03T08:53:40+0900" }, { "subnetNo": "****51", "subnetName": "test-****-private-kr1", "vpcNo": "****87", "vpcName": "test-****", "zoneCode": "KR-2", "subnet": "192.168.*.0/24", "isPublic": false, "createdDate": "2022-03-30T10:01:13+0900" } ], "requestId": "1514cc5b-****-****-****-30161feb43b1", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 1514cc5b-****-****-****-30161feb43b1 0 success 2 ****49 test-****-public-kr1 ****87 test-**** KR-1 192.168.*.0/24 true 2024-06-03T08:53:40+0900 ****51 test-****-private-kr1 ****87 test-**** KR-2 192.168.*.0/24 true 2022-03-30T10:01:13+0900 ```